%define anolis_release 1
Name:           teckit
Version:        2.5.12
Release:        %{anolis_release}%{?dist}
Summary:        Conversion library and mapping compiler
# COPYING:                      links to license/LICENSING.txt
# license/License_CPLv05.txt:   CPL-1.0 text, "0.5" version in the license
#                               title is irrelevant
#                               <https://gitlab.com/fedora/legal/fedora-license-data/-/issues/160>
# license/License_LGPLv21.txt:  LGPL-2.1 text
# license/LICENSING.txt:        license declarations
# SFconv/UtfCodec.cpp:      LGPL-2.1-or-later OR GPL-2.0-or-later OR MPL-2.0 (bundled Graphite2)
# SFconv/UtfCodec.h:        LGPL-2.1-or-later OR GPL-2.0-or-later OR MPL-2.0 (bundled Graphite2)
#                           MPL version clarified at <https://github.com/silnrsi/graphite/issues/58>,
# source/Engine.cpp:        LGPL-2.1-or-later OR CPL-1.0, CPL-1.0 identifier already
#                           encompases "or later" choice
#                           <https://gitlab.com/fedora/legal/fedora-license-data/-/issues/160>
# source/TECkit_Format.h:   LGPL-2.1-or-later OR CPL-0.5-or-later
## Not in any binary package
# aclocal.m4:           FSFULLR
# compile:              GPL-2.0-or-later WITH Autoconf-exception-generic
#                       <https://gitlab.com/fedora/legal/fedora-license-data/-/issues/68>
# config.guess:         GPL-3.0-or-later WITH Autoconf-exception-generic
# config.sub:           GPL-3.0-or-later WITH Autoconf-exception-generic
# configure:            FSFUL AND GPL-2.0-or-later WITH Libtool-exception
# depcomp:              GPL-2.0-or-later WITH Autoconf-exception-generic
# install-sh:           X11
# lib/Makefile.in:      FSFULLRWD
# ltmain.sh:            GPL-2.0-or-later WITH Libtool-exception AND
#                       GPL-3.0-or-later WITH Libtool-exception AND GPL-3.0-or-later
# m4/libtool.m4:        FSFULL AND FSFULLR AND GPL-2.0-or-later WITH Libtool-exception
# m4/ltoptions.m4:      FSFULLR
# m4/ltsugar.m4:        FSFULLR
# m4/ltversion.m4:      FSFULLR
# m4/lt~obsolete.m4:    FSFULLR
# Makefile.in:          FSFULLRWD
# missing:              GPL-2.0-or-later WITH Autoconf-exception-generic
# test-driver:          GPL-2.0-or-later WITH Autoconf-exception-generic
# test/Makefile.in:     FSFULLRWD
## Unbundled
# SFconv/expat/xmlparse/hashtable.c:    MPL-1.1 OR GPL-1.0-or-later (bundled expat)
# SFconv/expat/xmlparse/xmlparse.c:     MPL-1.1 OR GPL-1.0-or-later (bundled expat)
# zlib-1.2.3:           "sse copyright notice in zlib.h"
# zlib-1.2.3/zlib.h:    zlib-acknowledgement
License:        (LGPL-2.1-or-later OR CPL-1.0) AND (LGPL-2.1-or-later OR GPL-2.0-or-later OR MPL-2.0)
URL:            https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=teckit
Source0:        https://github.com/silnrsi/teckit/releases/download/v%{version}/teckit-%{version}.tar.gz
Source1:        https://github.com/silnrsi/teckit/releases/download/v%{version}/teckit-%{version}.tar.gz.asc
Source2:        gpgkey-15D41BC02EB807D405EFFAF6C9183BEA0288CDEE.gpg

BuildRequires:  autoconf >= 2.54
BuildRequires:  automake >= 1.11
BuildRequires:  coreutils
BuildRequires:  expat-devel
# gcc is not needed, the only source/NormalizationData.c is included into
# a C++ source/Engine.cpp compilation unit.
BuildRequires:  gcc-c++
BuildRequires:  gnupg2
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  zlib-devel
# Tests:
BuildRequires:  perl-interpreter
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Provides:       bundels(graphite2)

%description
TECkit is a low-level toolkit intended to be used by other applications that
need to perform encoding conversions (e.g., when importing legacy data into
a Unicode-based application). The primary component of the TECkit package is
therefore a library that performs conversions; this is the "TECkit engine".
The engine relies on mapping tables in a specific binary format (for which
documentation is available); there is a compiler that creates such tables from
a human-readable mapping description (a simple text file).

%package devel
Summary:        Developmental files for TECkit library
License:        LGPLv2+ or CPL
Requires:       %{name} = %{version}-%{release}

%description devel
Header files, pkg-config module, and documentation for developing application
that use TECkit, a character encoding and mapping, library.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1
# Remove bundled libraries
rm -r zlib-*/*.c SFconv/expat

%build
autoreconf -fi
%configure \
    --disable-debug \
    --disable-final \
    --without-old-lib-names \
    --disable-profile \
    --disable-profilefn \
    --enable-shared \
    --disable-static \
    --with-system-zlib \
    --disable-tetex-build
%{make_build}

%install
%{make_install}
%generate_compatibility_deps

%check
%{make_build} check

%files
%license license/*
%{_bindir}/sfconv
%{_bindir}/teckit_compile
%{_bindir}/txtconv
%{_libdir}/libTECkit.so.0
%{_libdir}/libTECkit.so.0.*
%{_libdir}/libTECkit_Compiler.so.0
%{_libdir}/libTECkit_Compiler.so.0.*
%{_mandir}/man1/*
%dir %{abidir}
%{abidir}/libTECkit.dump
%{abidir}/libTECkit_Compiler.dump
%{abidir}/txtconv-option.list

%files doc
%doc AUTHORS NEWS README

%files devel
%doc docs/*.pdf
%{_includedir}/teckit/
%{_libdir}/libTECkit.so
%{_libdir}/libTECkit_Compiler.so
%{_libdir}/pkgconfig/teckit.pc

%changelog
* Wed Feb 26 2025 Weisson <Weisson@linux.alibaba.com> - 2.5.12-1
- Refer to CentOS Stream teckit-2.5.12-4(tdawson@redhat.com).

* Mon Mar 20 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 2.5.11-1
- Update version to v2.5.11

* Tue Jan 24 2023 Funda Wang <fundawang@yeah.net> - 2.5.9-1
- Import package for anolis 23
